Package net.shibboleth.shared.spring.config

# Class StringBooleanToPredicateConverter

java.lang.Object
net.shibboleth.shared.spring.config.StringBooleanToPredicateConverter

All Implemented Interfaces:
  `Converter<String,Predicate<?>>`

public class StringBooleanToPredicateConverter extends Object implements Converter<String,Predicate<?>>
Allows setting of fixed `Predicate` properties using a boolean string.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`StringBooleanToPredicateConverter()`

## Method Summary

Modifier and Type
Method
Description
`Predicate<?>`
`convert(String source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.core.convert.converter.Converter

`andThen`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger.

## Constructor Details

### StringBooleanToPredicateConverter

public StringBooleanToPredicateConverter()

## Method Details

### convert

public Predicate<?> convert(@Nonnull String source)

Specified by:
  `convert` in interface `Converter<String,Predicate<?>>`